@@ -0,0 +1,112 @@
+#! /bin/sh
+#
+# /etc/init.d/iperf
+# and its symbolic link
+# /usr/sbin/rciperf
+#
+# LSB compatible service control script; see http://www.linuxbase.org/spec/
+#
+### BEGIN INIT INFO
+# Provides: iperf
+# Required-Start: $remote_fs
+# Required-Stop: $remote_fs
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Description: Iperf bandwidth testing daemon
+### END INIT INFO
+
+IPERF_BIN=/usr/bin/iperf
+test -x $IPERF_BIN || exit 5
+
+IPERF_SYSCONFIG=/etc/sysconfig/iperf
+test -r $IPERF_SYSCONFIG || exit 6
+. $IPERF_SYSCONFIG
+
+. /etc/rc.status
+
+# Shell functions sourced from /etc/rc.status:
+# rc_check check and set local and overall rc status
+# rc_status check and set local and overall rc status
+# rc_status -v ditto but be verbose in local rc status
+# rc_status -v -r ditto and clear the local rc status
+# rc_failed set local and overall rc status to failed
+# rc_reset clear local rc status (overall remains)
+# rc_exit exit appropriate to overall rc status
+
+# First reset status of this service
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting iperf "
+ /sbin/startproc $IPERF_BIN -sD $IPERF_OPTIONS
+
+ # Remember status and be verbose
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down iperf "
+ /sbin/killproc -TERM $IPERF_BIN
+
+ # Remember status and be verbose
+ rc_status -v
+ ;;
+ try-restart|condrestart)
+ ## Stop the service and if this succeeds (i.e. the
+ ## service was running before), start it again.
+ if test "$1" = "condrestart"; then
+ echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}"
+ fi
+
+ $0 status >/dev/null && $0 restart
+
+ # Remember status and be quiet
+ rc_status
+ ;;
+ restart)
+ ## Stop the service and regardless of whether it was
+ ## running or not, start it again.
+ $0 stop
+ sleep 3
+ $0 start
+
+ # Remember status and be quiet
+ rc_status
+ ;;
+ force-reload)
+ ## Signal the daemon to reload its config. Most daemons
+ ## do this on signal 1 (SIGHUP).
+
+ echo -n "Reload service iperf "
+ $0 try-restart
+
+ rc_status -v
+ ;;
+ reload)
+ ## Like force-reload, but if daemon does not support
+ ## signaling, do nothing (!)
+
+ rc_failed 3
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service iperf "
+ ## Check status with checkproc(8), if process is running
+ ## checkproc will return with exit status 0.
+
+ # Status has a slightly different for the status command:
+ # 0 - service running
+ # 1 - service dead, but /var/run/ pid file exists
+ # 2 - service dead, but /var/lock/ lock file exists
+ # 3 - service not running
+
+ checkproc $IPERF_BIN
+
+ rc_status -v
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload}"
+ exit 1
+ ;;
+esac
+rc_exit
|